summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2016-08-22 04:22:54 +1000
committerMichael Palimaka <kensington@gentoo.org>2016-08-22 04:42:45 +1000
commitc61592ff86f3fc25851e5cfe88a0709d60c11d23 (patch)
tree2af13290cd3385aede8550bef2881250aaac40fe /app-misc/asciinema
parentdev-python/pyserial: remove old (diff)
downloadgentoo-c61592ff86f3fc25851e5cfe88a0709d60c11d23.tar.gz
gentoo-c61592ff86f3fc25851e5cfe88a0709d60c11d23.tar.bz2
gentoo-c61592ff86f3fc25851e5cfe88a0709d60c11d23.zip
app-misc/asciinema: version bump
Gentoo-bug: 532918 Package-Manager: portage-2.3.0
Diffstat (limited to 'app-misc/asciinema')
-rw-r--r--app-misc/asciinema/Manifest1
-rw-r--r--app-misc/asciinema/asciinema-1.3.0.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/app-misc/asciinema/Manifest b/app-misc/asciinema/Manifest
index b5a2c4fe4b5..69d9e491577 100644
--- a/app-misc/asciinema/Manifest
+++ b/app-misc/asciinema/Manifest
@@ -1 +1,2 @@
DIST asciinema-0.9.8.tar.gz 6336 SHA256 f20bf96c5ec5f4faba7c4c91ce5b48696ce8160593a4897e8a87cc839214df1f SHA512 2df8520dca6c3a61e0bb5987a723a9668423da088cbba91e79ed51f0000e242290477f7a23e409270e29d5792e8a88e38d3c33963b835ce8dd9fc0cd24e2b7b4 WHIRLPOOL f7db1f8a2e6557879e08af44def66692699fa6296ed476d88cd93101045759b094ed487df8cae68a75377cbb9b91cefd21f103782fb550a739d9e952aa94bc21
+DIST asciinema-1.3.0.tar.gz 34214 SHA256 968016828119d53b8e4e6ccf40a2635704d236f8e805f635c15adc09a4373a55 SHA512 882f2f9c23c42d6930fc54797a87134004c1e679b2c054d29c71a9af616604f6e54aa1461b7f0f9826557c66dcf51470710d6e2886d785cbf28464ea2397d5d2 WHIRLPOOL 68a9a32b4067115cdece92a69f824a15ac42bfe1855701fb1e74cb7d138022f235a83c4a879453f87ac3757f1dc3c5036d596e4b7cea84cf8f8891b696b1a1fe
diff --git a/app-misc/asciinema/asciinema-1.3.0.ebuild b/app-misc/asciinema/asciinema-1.3.0.ebuild
new file mode 100644
index 00000000000..3295bb3ccc5
--- /dev/null
+++ b/app-misc/asciinema/asciinema-1.3.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_3,3_4})
+inherit distutils-r1
+
+DESCRIPTION="Command line recorder for asciinema.org service"
+HOMEPAGE="https://asciinema.org/ https://pypi.python.org/pypi/asciinema"
+SRC_URI="https://github.com/asciinema/asciinema/archive/v1.3.0.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md doc/asciicast-v1.md )
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # obsolete, already removed in upstream git
+ rm asciinema/requests_http_adapter.py
+}
+
+python_test() {
+ nosetests || die
+}
+
+src_install() {
+ distutils-r1_src_install
+ doman man/asciinema.1
+}